Obter detalhes do alias
curl --request POST \
--url https://api.stage.localpayment.com/api/payment/alias-detail \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"countryISOCode": "CO",
"aliasClassification": "Breb",
"aliasValue": "3668933567"
}
'import requests
url = "https://api.stage.localpayment.com/api/payment/alias-detail"
payload = {
"countryISOCode": "CO",
"aliasClassification": "Breb",
"aliasValue": "3668933567"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({countryISOCode: 'CO', aliasClassification: 'Breb', aliasValue: '3668933567'})
};
fetch('https://api.stage.localpayment.com/api/payment/alias-detail', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stage.localpayment.com/api/payment/alias-detail",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'countryISOCode' => 'CO',
'aliasClassification' => 'Breb',
'aliasValue' => '3668933567'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.stage.localpayment.com/api/payment/alias-detail"
payload := strings.NewReader("{\n \"countryISOCode\": \"CO\",\n \"aliasClassification\": \"Breb\",\n \"aliasValue\": \"3668933567\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.stage.localpayment.com/api/payment/alias-detail")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"countryISOCode\": \"CO\",\n \"aliasClassification\": \"Breb\",\n \"aliasValue\": \"3668933567\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.stage.localpayment.com/api/payment/alias-detail")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"countryISOCode\": \"CO\",\n \"aliasClassification\": \"Breb\",\n \"aliasValue\": \"3668933567\"\n}"
response = http.request(request)
puts response.read_body{
"aliasType": "PHONE",
"aliasValue": "3668933567",
"bankName": "KAMIN S.A",
"firstName": "John",
"idType": "CC",
"idValue": "******0695",
"lastName": "Do**",
"status": "ACTIVE"
}{
"error": "DICE error: Keys not found or inactive",
"errorCode": "408"
}{
"detail": "Given token not valid for any token type",
"code": "token_not_valid",
"messages": [
{
"token_class": "AccessToken",
"token_type": "access",
"message": "Token is invalid or expired"
}
]
}{
"error": "Service not available for Breb in COL"
}Recursos
Obter detalhes do alias
POST
/
api
/
payment
/
alias-detail
Obter detalhes do alias
curl --request POST \
--url https://api.stage.localpayment.com/api/payment/alias-detail \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"countryISOCode": "CO",
"aliasClassification": "Breb",
"aliasValue": "3668933567"
}
'import requests
url = "https://api.stage.localpayment.com/api/payment/alias-detail"
payload = {
"countryISOCode": "CO",
"aliasClassification": "Breb",
"aliasValue": "3668933567"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({countryISOCode: 'CO', aliasClassification: 'Breb', aliasValue: '3668933567'})
};
fetch('https://api.stage.localpayment.com/api/payment/alias-detail', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stage.localpayment.com/api/payment/alias-detail",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'countryISOCode' => 'CO',
'aliasClassification' => 'Breb',
'aliasValue' => '3668933567'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.stage.localpayment.com/api/payment/alias-detail"
payload := strings.NewReader("{\n \"countryISOCode\": \"CO\",\n \"aliasClassification\": \"Breb\",\n \"aliasValue\": \"3668933567\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.stage.localpayment.com/api/payment/alias-detail")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"countryISOCode\": \"CO\",\n \"aliasClassification\": \"Breb\",\n \"aliasValue\": \"3668933567\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.stage.localpayment.com/api/payment/alias-detail")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"countryISOCode\": \"CO\",\n \"aliasClassification\": \"Breb\",\n \"aliasValue\": \"3668933567\"\n}"
response = http.request(request)
puts response.read_body{
"aliasType": "PHONE",
"aliasValue": "3668933567",
"bankName": "KAMIN S.A",
"firstName": "John",
"idType": "CC",
"idValue": "******0695",
"lastName": "Do**",
"status": "ACTIVE"
}{
"error": "DICE error: Keys not found or inactive",
"errorCode": "408"
}{
"detail": "Given token not valid for any token type",
"code": "token_not_valid",
"messages": [
{
"token_class": "AccessToken",
"token_type": "access",
"message": "Token is invalid or expired"
}
]
}{
"error": "Service not available for Breb in COL"
}Verifique se um alias de pagamento está ativo e confira os detalhes do proprietário mascarado antes de enviar um pagamento. Disponível atualmente apenas para a Colômbia.
Consulte a seção Verificar um Alias de Pagamento para obter a referência completa dos campos de resposta, regras de mascaramento, orientações sobre tratamento de erros e uma demonstração interativa.
Autorizações
Cabeçalhos
Token de acesso Bearer para autenticação. Este token é obtido nos endpoints Obter token de acesso ou Renovar token de acesso.
Corpo
application/json
Resposta
OK
Tipo de documento de identidade do titular. Consulte Tipos de Documentos Suportados.
Classificação do alias que foi resolvido (documento de identidade, código de comerciante, número de celular, endereço de e-mail ou chave alfanumérica). Os valores ativos confirmados estão em maiúsculas, por exemplo PHONE; a string exata de cada uma das outras categorias ainda não foi confirmada.
Última modificação em 10 de novembro de 2026

